<kzm-auth-block>
  <small class="form-text sub-title">&iexcl;Hola! Introduce tu correo y contrase&ntilde;a para comenzar.</small>
  <form (ngSubmit)="login()" #form="ngForm" autocomplete="nope">
    <kzm-auth-message [showMessages]="showMessages" [errors]="errors" [submitted]="submitted" [messages]="messages"></kzm-auth-message>
    <!-- email -->
    <div class="form-group">
      <label for="input-email" class="sr-only">Correo</label>
      <input name="email" [(ngModel)]="user.email" id="input-email" pattern=".+@.+\..+" class="form-control" placeholder="Correo"
             #email="ngModel" [class.form-control-danger]="email.invalid && email.touched" autofocus required>
      <small class="form-text error" *ngIf="email.invalid && email.touched && email.errors?.required">
        Es requerido.
      </small>
      <small class="form-text error" *ngIf="email.invalid && email.touched && email.errors?.pattern">
        Debe ser un correo v&aacute;lido.
      </small>
    </div>
    <!-- password -->
    <div class="form-group">
      <label for="input-password" class="sr-only">Contrase&ntilde;a</label>
      <input name="password" [(ngModel)]="user.password" type="password" id="input-password"
             class="form-control" placeholder="Contraseña" #password="ngModel"
             [class.form-control-danger]="password.invalid && password.touched"
             [required]="getConfigValue('forms.validation.password.required')"
             [minlength]="getConfigValue('forms.validation.password.minLength')"
             [maxlength]="getConfigValue('forms.validation.password.maxLength')">
      <small class="form-text error" *ngIf="password.invalid && password.touched && password.errors?.required">
        Es requerida.
      </small>
      <small class="form-text error" *ngIf="password.invalid && password.touched && (password.errors?.minlength || password.errors?.maxlength)">
        La contrase&ntilde;a debe ser de por lo menos {{ getConfigValue('forms.validation.password.minLength') }} caracteres.
      </small>
    </div>
    <button [disabled]="submitted || !form.valid" class="btn btn-block btn-hero-success" [class.btn-pulse]="submitted">
      Entrar
    </button>
  </form>
  <div class="links">
    <small class="form-text">
      <a routerLink="../request"><strong>Recuperar contrase&ntilde;a </strong></a>
    </small>
    <small class="form-text">
      &iquest; No tienes cuenta? <a routerLink="../register"><strong>Reg&iacute;strate</strong></a>
    </small>
  </div>
</kzm-auth-block>
